/**
 * {{singleAppMethod.codeName}}
 *
 * @param {IContext} [context={}]
 * @param {IParam} [data = {}]
 * @returns {Promise<any>}
 * @memberof {{pascalCase appEntity.codeName}}ServiceBase
 */
public async {{singleAppMethod.codeName}}(context: IContext = {}, data: IParam = {}): Promise<any> {
	try {
		//	data = await this.executeAppDELogic('{{singleAppMethod.psDEAction.psDELogic.codeName}}', context, data);
		const res = {
			ok: true,
			status: 200,
			data: data
		};
		return res;
	} catch (error: any) {
		const res = {
			ok: false,
			status: 500,
			message: error?.message
		}
		return res;
	}
}
